for( var i = 1; i <= 14; i++ )
{
	$( '#f' + i ).html(
		$( '<img />' )
			.attr( 'src', '/img/' + uuid + '/F' + i + '_preview.png' )
			.attr( 'id', 'img_f' + i )
	);
}

var navType = function( ntype )
{
	var texts = {
		4: 'Fingerprint image',
		9: 'Minutiae data',
		13: 'Latent friction ridge image',
		14: 'Fingerprint image',
		15: 'Palm print image',
	};
	
	var ret = $( '<div />' )
		.append(
			$( '<a />' )
				.attr( 'href', '?' )
				.append(
					$( '<div />' )
						.attr( 'class', 'type_number' )
						.text( 'Type ' + ntype )	
				)
				.append(
					$( '<div />' )
						.attr( 'class', 'type_desc' )
						.text( texts[ ntype ] )
				)
		);
	
	return ret;
}

$.ajax( {
	url: '/info/' + uuid + '/' + filename,
	type: "GET",
	dataType: 'json',
	
	success: function( d )
	{
		for( var i in d.data.ntypes )
		{
			ntype  = d.data.ntypes[ i ];
			if( ntype > 2 )
				$( '.navigation' ).append( navType( ntype ) );
		}
	}
} );

$.ajax( {
    url: '/version',
    type: "GET",
    dataType: 'json',
    
    success: function( d )
    {
        $( '#version' ).text( " - " + d.commit_describe );
    }
} );
